	Title  "PicNPoke FSR Program"

	list p=16f84        ; processor type

	include "P16f84.inc"

;
; The purpose of this program is to explain the FSR and Indirect Addressing
;
          CBLOCK 0x20

RAMBlock: 0Ah

          ENDC
;
; -------------
; PROGRAM START
; -------------
;
	org 0h			; startup address = 0000


reset	movlw RAMBlock		; set start address
	movwf FSR
clear	clrf INDF			; clear the RAM location
	incf FSR			; set for next location
	movlw RAMBlock + 0Ah	; test if finished
	xorwf FSR,W
	btfss STATUS,Z
	goto clear		; not yet, keep going

	movlw RAMBlock		; set start address
	movwf FSR
set1	movlw 1h
	movwf INDF		; set the RAM location = 1
	incf FSR			; set for next location
	movlw RAMBlock + 0Ah	; test if finished
	xorwf FSR,W
	btfss STATUS,Z
	goto set1			; not yet, keep going
	goto reset

	end
